/*
	test.cpp
	simple test of oscil.h and waveforms.h
	© Risto Holopainen 2018
	licenced under GPL v.3 or later
*/


#include "waveforms.h"
#include "oscil.h"
#include <cstdio>

int main()
{
	const int L = (1<<9) + 1;				// odd size preferred
	double wt[L];							// wavetable
	waveform::make_chirp(wt, L, 7.0, 4.5);	// initialize waveshape
	const int sr = 16000;					// sample rate
	oscil Osc(sr, wt, L);					// initialize oscillator
	double x;
	
	for(int i=0; i<L; i++)
		{
		x = Osc.gen(110.0);				// the chirp waveform at 110 Hz
		printf("%3d \t %.3f\n", i, x);	// or write to sound file
		}

	return 0;
}
